<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
MultipleKeyDatabaseEntry Members
MultipleKeyDatabaseEntry Class Constructors Methods Properties See Also Send Feedback

The MultipleKeyDatabaseEntry type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| MultipleKeyDatabaseEntry | Overloaded.

# Methods

| Name | Description
--- | --- | ---
| Dispose | Release the resources held by the underlying C library. (Inherited from DatabaseEntry.)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetEnumerator | Return an enumerator which iterates over all DatabaseEntry pairs represented by the MultipleKeyDatabaseEntry.
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Data | The byte string stored in or retrieved from a database (Inherited from DatabaseEntry.)
| Partial | Whether the DatabaseEntry is partial record. (Inherited from DatabaseEntry.)
| PartialLen | The byte length of the partial record being read or written by the application (Inherited from DatabaseEntry.)
| PartialOffset | The offset of the partial record being read or written by the application, in bytes. (Inherited from DatabaseEntry.)
| ReadOnly | Set this DatabaseEntry as read only - that is Berkeley DB will not alter the entry. (Inherited from DatabaseEntry.)
| Recno | Whether the bulk buffer is for recno or queue database.

# See Also

MultipleKeyDatabaseEntry Class
BerkeleyDB Namespace